---
- block:
  - name: Install ftrace-enable
    copy:
      src: "ftrace-enable.sh"
      dest: /usr/local/bin/ftrace-enable
      owner: root
      group: root
      mode: '755'

  - name: Add ftrace to cron startup
    cron:
      name: "Enable ftrace"
      cron_file: "ftrace-enable"
      job: /usr/local/bin/ftrace-enable
      user: zoox
      special_time: reboot

  become: yes
